import Conductor from 'conductor-node';const conductor = new Conductor({ apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted});// Automatically fetches more pages as needed.for await (const billCheckPayment of conductor.qbd.billCheckPayments.list({ conductorEndUserId: 'end_usr_1234567abcdefg',})) { console.log(billCheckPayment.id);}
import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
page = conductor.qbd.bill_check_payments.list(
conductor_end_user_id="end_usr_1234567abcdefg",
)
page = page.data[0]
print(page.id)
Returns a list of bill check payments. Use the cursor parameter to paginate through the results.
GET
/
quickbooks-desktop
/
bill-check-payments
JavaScript
import Conductor from 'conductor-node';const conductor = new Conductor({ apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted});// Automatically fetches more pages as needed.for await (const billCheckPayment of conductor.qbd.billCheckPayments.list({ conductorEndUserId: 'end_usr_1234567abcdefg',})) { console.log(billCheckPayment.id);}
import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
page = conductor.qbd.bill_check_payments.list(
conductor_end_user_id="end_usr_1234567abcdefg",
)
page = page.data[0]
print(page.id)
Filter for specific bill check payments by their ref-number(s), case-sensitive. In QuickBooks, ref-numbers are not required to be unique and can be arbitrarily changed by the QuickBooks user.
IMPORTANT: If you include this parameter, QuickBooks will ignore all other query parameters for this request.
NOTE: If any of the values you specify in this parameter are not found, the request will return an error.
The maximum number of objects to return. Accepts values ranging from 1 to 150, defaults to 150. When used with cursor-based pagination, this parameter controls how many results are returned per page. To paginate through results, combine this with the cursor parameter. Each response will include a nextCursor value that can be passed to subsequent requests to retrieve the next page of results.
The pagination token to fetch the next set of results when paginating with the limit parameter. Do not include this parameter on the first call. Use the nextCursor value returned in the previous response to request subsequent results.
IMPORTANT: The cursor is the same value for every page, and requests that send it are not idempotent: each one returns the next page. Send each request within 10 seconds of the previous response. If you miss that window or a request fails, start over without a cursor.
Filter for bill check payments updated on or after this date/time. Accepts the following ISO 8601 formats:
date-only (YYYY-MM-DD) - QuickBooks Desktop interprets the date as the start of the specified day in the local timezone of the end-user's computer (e.g., 2025-01-01 → 2025-01-01T00:00:00).
datetime without timezone (YYYY-MM-DDTHH:mm:ss) - QuickBooks Desktop interprets the timestamp in the local timezone of the end-user's computer.
datetime with timezone (YYYY-MM-DDTHH:mm:ss±HH:mm) - QuickBooks Desktop interprets the timestamp using the specified timezone.
Filter for bill check payments updated on or before this date/time. Accepts the following ISO 8601 formats:
date-only (YYYY-MM-DD) - QuickBooks Desktop interprets the date as the end of the specified day in the local timezone of the end-user's computer (e.g., 2025-01-01 → 2025-01-01T23:59:59).
datetime without timezone (YYYY-MM-DDTHH:mm:ss) - QuickBooks Desktop interprets the timestamp in the local timezone of the end-user's computer.
datetime with timezone (YYYY-MM-DDTHH:mm:ss±HH:mm) - QuickBooks Desktop interprets the timestamp using the specified timezone.
Filter for bill check payments whose date field is on or after this date, in ISO 8601 format (YYYY-MM-DD).
NOTE: QuickBooks Desktop interprets this date as the start of the specified day in the local timezone of the end-user's computer (e.g., 2025-01-01 → 2025-01-01T00:00:00).
Filter for bill check payments whose date field is on or before this date, in ISO 8601 format (YYYY-MM-DD).
NOTE: QuickBooks Desktop interprets this date as the end of the specified day in the local timezone of the end-user's computer (e.g., 2025-01-01 → 2025-01-01T23:59:59).
Filter for bill check payments whose refNumber is greater than or equal to this value. (For checks, this field is the check number.) If omitted, the range will begin with the first number of the list. Uses a numerical comparison for values that contain only digits; otherwise, uses a lexicographical comparison.
NOTE: If you use this parameter, you cannot also use refNumberContains, refNumberStartsWith, or refNumberEndsWith.
Filter for bill check payments whose refNumber is less than or equal to this value. (For checks, this field is the check number.) If omitted, the range will end with the last number of the list. Uses a numerical comparison for values that contain only digits; otherwise, uses a lexicographical comparison.
NOTE: If you use this parameter, you cannot also use refNumberContains, refNumberStartsWith, or refNumberEndsWith.
The nextCursor is a pagination token returned in the response when you use the limit parameter in your request. To retrieve subsequent pages of results, include this token as the value of the cursor request parameter in your following API calls.
NOTE: The nextCursor value remains constant throughout the pagination process for a specific list instance; continue to use the same nextCursor token in each request to fetch additional pages.
Indicates whether there are more objects to be fetched.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Conductor Docs","colors":{"primary":"#9563FF","light":"#AE87FF","dark":"#0D001D"},"logo":{"light":"https://mintcdn.com/conductor/hjDC6C2Dz4sn63AO/logo/light.png?fit=max\u0026auto=format\u0026n=hjDC6C2Dz4sn63AO\u0026q=85\u0026s=43ebf17eb46ef6256a508d4fac23b3bf","dark":"https://mintcdn.com/conductor/hjDC6C2Dz4sn63AO/logo/dark.png?fit=max\u0026auto=format\u0026n=hjDC6C2Dz4sn63AO\u0026q=85\u0026s=dbd4c90195fb31cbae682dd4bfb98350","href":"https://conductor.is"},"favicon":"https://mintcdn.com/conductor/79gIlu1T1D-ycZhm/favicon.png?fit=max\u0026auto=format\u0026n=79gIlu1T1D-ycZhm\u0026q=85\u0026s=52c2193ef1a37fb3c2a843f148178e26","api":{"openapi":"openapi.documented.yml","playground":{"display":"interactive"}},"background":{"color":{"dark":"#090014"}},"navbar":{"links":[{"href":"mailto:support@conductor.is?subject=Conductor Help","label":"Support"},{"href":"https://dashboard.conductor.is","label":"Dashboard"}],"primary":{"type":"button","label":"Sign up","href":"https://dashboard.conductor.is/sign-up"}},"footer":{"socials":{"twitter":"https://twitter.com/conductor_is","github":"https://github.com/conductor-is","linkedin":"https://linkedin.com/company/conductor-is"},"links":[{"header":"Product","items":[{"label":"Core","href":"https://conductor.is/"},{"label":"FAQ","href":"https://docs.conductor.is/faq"},{"label":"Security","href":"https://docs.conductor.is/security"},{"label":"Testimonials","href":"https://conductor.is/"},{"label":"Pricing","href":"https://conductor.is/"}]},{"header":"Resources","items":[{"label":"Documentation","href":"https://docs.conductor.is"},{"label":"Help Center","href":"https://docs.conductor.is/help"},{"label":"Blog","href":"https://conductor.is/blog"},{"label":"Status","href":"https://status.conductor.is"},{"label":"Quickstart","href":"https://docs.conductor.is/quickstart"}]},{"header":"Company","items":[{"label":"About","href":"https://conductor.is/company"},{"label":"Values","href":"https://conductor-io.notion.site/Conductor-s-Values-83e9eb6e4e4d40a2973b24513dc60f99?pvs=4"},{"label":"Contact","href":"mailto:support@conductor.is?subject=Conductor Help"}]},{"header":"Legal","items":[{"label":"Privacy Policy","href":"https://conductor.is/privacy"},{"label":"Terms of Service","href":"https://conductor.is/terms"},{"label":"Trust Center","href":"https://trust.conductor.is"}]}]},"styling":{"codeblocks":"system","latex":false},"integrations":{"ga4":{"measurementId":"G-X8MDB0LXNF"}},"contextual":{"options":["copy","view","chatgpt","claude"],"display":"header"},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"conductor","hasAudioNarration":false,"actualSubdomain":"conductor","customDomains":["docs.conductor.is"],"gitSource":{"type":"github","owner":"conductor-is","repo":"conductor","deployBranch":"main","contentDirectory":"apps/docs","isPrivate":false,"mountPath":"","label":""},"feedback":{"edits":false},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6af532e438b41bfcfa9d95b3","clientVersion":"0.0.4124","searchFilterCounts":[{"language":"default","tag":"API Reference","count":337},{"language":"default","tag":"Transactions","count":160},{"language":"default","tag":"General","count":104},{"language":"default","tag":"Items","count":53},{"language":"default","tag":"Help","count":26},{"language":"default","tag":"Documentation","count":15},{"language":"default","tag":"Guides","count":14},{"language":"default","tag":"Reports","count":11},{"language":"default","tag":"QuickBooks Desktop API","count":10},{"language":"default","tag":"Connection errors","count":10}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-ref/qbd/bill-check-payments/list","slug":"/api-ref/qbd/bill-check-payments/list","pageMetadata":{"openapi":"GET /quickbooks-desktop/bill-check-payments","title":"List all bill check payments","description":"Returns a list of bill check payments. Use the `cursor` parameter to paginate through the results.","href":"/api-ref/qbd/bill-check-payments/list"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_components.p, {\n children: [\"Returns a list of bill check payments. Use the \", _jsx(_components.code, {\n children: \"cursor\"\n }), \" parameter to paginate through the results.\"]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"codeStyling":"system","config":{},"pageMetadata":{"openapi":"GET /quickbooks-desktop/bill-check-payments","title":"List all bill check payments","description":"Returns a list of bill check payments. Use the `cursor` parameter to paginate through the results.","href":"/api-ref/qbd/bill-check-payments/list"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"List all bill check payments","description":"Returns a list of bill check payments. Use the `cursor` parameter to paginate through the results.","security":["924d8e69-d0e3-43ef-89ec-3e62df71e0ac"],"parameters":["7cb2a939-45d0-42bf-9ab9-35d11ddc72ff","e4082d44-cdbc-4953-94ce-eee39e76920e","aeddd220-2a91-4ea8-9346-ef7b44d69b5b","d55a9e2f-5dac-4691-8f0b-bbe45651108d","d4df84e8-c3f0-407c-bb87-132ecd6faf74","fccbd6f5-e165-4f68-be89-579a367aec34","1bf3f9ea-1b1a-4a25-8b4a-866706dab28e","dc1b4ab4-1e12-4a63-b978-bc35cba2f772","8c5a1602-278b-4a7f-8d58-1fe700df3695","ad487579-514b-489a-adbc-e2d784661428","3c3e22a5-064b-42ea-9641-4c786f73ec9b","0a0d7f98-cf86-4a15-8c1c-48d7875e6690","0b0eebda-9a8a-4bd6-99fc-ebc4896126f5","a594b737-3bff-44f1-a1f6-c20dbf9b81f6","04dd88ad-3a1f-4c53-a44e-aab5bd692bb2","8cbf16d5-c661-423a-b41b-cb4cb1d9e1ec","7552db24-99b9-4937-b71e-12839ee239d5","d945afdd-1a77-4ce7-adbf-c13cef055cbe"],"responses":{"200":"aca44992-852b-42a0-8337-fd09b9a38e64"},"x-codeSamples":[{"lang":"JavaScript","source":"import Conductor from 'conductor-node';\n\nconst conductor = new Conductor({\n apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted\n});\n\n// Automatically fetches more pages as needed.\nfor await (const billCheckPayment of conductor.qbd.billCheckPayments.list({\n conductorEndUserId: 'end_usr_1234567abcdefg',\n})) {\n console.log(billCheckPayment.id);\n}"},{"lang":"Python","source":"import os\nfrom conductor import Conductor\n\nconductor = Conductor(\n api_key=os.environ.get(\"CONDUCTOR_SECRET_KEY\"), # This is the default and can be omitted\n)\npage = conductor.qbd.bill_check_payments.list(\n conductor_end_user_id=\"end_usr_1234567abcdefg\",\n)\npage = page.data[0]\nprint(page.id)"}],"method":"get","type":"path","servers":["bf6ac202-d364-495a-a90b-ff07a25d150a"],"path":"/quickbooks-desktop/bill-check-payments","baseUrlOptions":["https://api.conductor.is/v1"],"title":"List all bill check payments","codeSamples":[{"lang":"JavaScript","source":"import Conductor from 'conductor-node';\n\nconst conductor = new Conductor({\n apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted\n});\n\n// Automatically fetches more pages as needed.\nfor await (const billCheckPayment of conductor.qbd.billCheckPayments.list({\n conductorEndUserId: 'end_usr_1234567abcdefg',\n})) {\n console.log(billCheckPayment.id);\n}"},{"lang":"Python","source":"import os\nfrom conductor import Conductor\n\nconductor = Conductor(\n api_key=os.environ.get(\"CONDUCTOR_SECRET_KEY\"), # This is the default and can be omitted\n)\npage = conductor.qbd.bill_check_payments.list(\n conductor_end_user_id=\"end_usr_1234567abcdefg\",\n)\npage = page.data[0]\nprint(page.id)"}],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"7cb2a939-45d0-42bf-9ab9-35d11ddc72ff":{"in":"header","name":"Conductor-End-User-Id","schema":{"type":"string","description":"The ID of the End-User to receive this request.","example":"end_usr_1234567abcdefg","x-stainless-naming":{"typescript":{"method_argument":"conductorEndUserId"},"mcp":{"method_argument":"conductorEndUserId"}},"isRequired":true,"uniqueKey":"","typeLabel":"string"},"required":true,"description":"The ID of the End-User to receive this request."},"e4082d44-cdbc-4953-94ce-eee39e76920e":{"in":"query","name":"ids","schema":{"description":"Filter for specific bill check payments by their QuickBooks-assigned unique identifier(s).\n\n**IMPORTANT**: If you include this parameter, QuickBooks will ignore all other query parameters for this request.\n\n**NOTE**: If any of the values you specify in this parameter are not found, the request will return an error.","example":["123ABC-1234567890"],"type":"array","items":{"type":"string","uniqueKey":"items.[INDEX]","typeLabel":"string"},"uniqueKey":"","typeLabel":"string[]"},"description":"Filter for specific bill check payments by their QuickBooks-assigned unique identifier(s).\n\n**IMPORTANT**: If you include this parameter, QuickBooks will ignore all other query parameters for this request.\n\n**NOTE**: If any of the values you specify in this parameter are not found, the request will return an error."},"aeddd220-2a91-4ea8-9346-ef7b44d69b5b":{"in":"query","name":"refNumbers","schema":{"description":"Filter for specific bill check payments by their ref-number(s), case-sensitive. In QuickBooks, ref-numbers are not required to be unique and can be arbitrarily changed by the QuickBooks user.\n\n**IMPORTANT**: If you include this parameter, QuickBooks will ignore all other query parameters for this request.\n\n**NOTE**: If any of the values you specify in this parameter are not found, the request will return an error.","example":["BILL CHECK PAYMENT-1234"],"type":"array","items":{"type":"string","uniqueKey":"items.[INDEX]","typeLabel":"string"},"uniqueKey":"","typeLabel":"string[]"},"description":"Filter for specific bill check payments by their ref-number(s), case-sensitive. In QuickBooks, ref-numbers are not required to be unique and can be arbitrarily changed by the QuickBooks user.\n\n**IMPORTANT**: If you include this parameter, QuickBooks will ignore all other query parameters for this request.\n\n**NOTE**: If any of the values you specify in this parameter are not found, the request will return an error."},"d55a9e2f-5dac-4691-8f0b-bbe45651108d":{"in":"query","name":"limit","schema":{"default":150,"description":"The maximum number of objects to return. Accepts values ranging from 1 to 150, defaults to 150. When used with cursor-based pagination, this parameter controls how many results are returned per page. To paginate through results, combine this with the `cursor` parameter. Each response will include a `nextCursor` value that can be passed to subsequent requests to retrieve the next page of results.","example":150,"type":"integer","minimum":1,"maximum":150,"uniqueKey":"","typeLabel":"integer"},"description":"The maximum number of objects to return. Accepts values ranging from 1 to 150, defaults to 150. When used with cursor-based pagination, this parameter controls how many results are returned per page. To paginate through results, combine this with the `cursor` parameter. Each response will include a `nextCursor` value that can be passed to subsequent requests to retrieve the next page of results."},"d4df84e8-c3f0-407c-bb87-132ecd6faf74":{"in":"query","name":"cursor","schema":{"description":"The pagination token to fetch the next set of results when paginating with the `limit` parameter. Do not include this parameter on the first call. Use the `nextCursor` value returned in the previous response to request subsequent results.\n\n**IMPORTANT**: The cursor is the same value for every page, and requests that send it are not idempotent: each one returns the next page. Send each request within 10 seconds of the previous response. If you miss that window or a request fails, start over without a cursor.","example":"12345678-abcd-abcd-example-1234567890ab","type":"string","uniqueKey":"","typeLabel":"string"},"description":"The pagination token to fetch the next set of results when paginating with the `limit` parameter. Do not include this parameter on the first call. Use the `nextCursor` value returned in the previous response to request subsequent results.\n\n**IMPORTANT**: The cursor is the same value for every page, and requests that send it are not idempotent: each one returns the next page. Send each request within 10 seconds of the previous response. If you miss that window or a request fails, start over without a cursor."},"fccbd6f5-e165-4f68-be89-579a367aec34":{"in":"query","name":"updatedAfter","schema":{"description":"Filter for bill check payments updated on or after this date/time. Accepts the following ISO 8601 formats:\n- **date-only** (YYYY-MM-DD) - QuickBooks Desktop interprets the date as the **start of the specified day** in the local timezone of the end-user's computer (e.g., `2025-01-01` → `2025-01-01T00:00:00`).\n- **datetime without timezone** (YYYY-MM-DDTHH:mm:ss) - QuickBooks Desktop interprets the timestamp in the local timezone of the end-user's computer.\n- **datetime with timezone** (YYYY-MM-DDTHH:mm:ss±HH:mm) - QuickBooks Desktop interprets the timestamp using the specified timezone.","example":"2025-01-01T12:34:56.000Z","type":"string","uniqueKey":"","typeLabel":"string"},"description":"Filter for bill check payments updated on or after this date/time. Accepts the following ISO 8601 formats:\n- **date-only** (YYYY-MM-DD) - QuickBooks Desktop interprets the date as the **start of the specified day** in the local timezone of the end-user's computer (e.g., `2025-01-01` → `2025-01-01T00:00:00`).\n- **datetime without timezone** (YYYY-MM-DDTHH:mm:ss) - QuickBooks Desktop interprets the timestamp in the local timezone of the end-user's computer.\n- **datetime with timezone** (YYYY-MM-DDTHH:mm:ss±HH:mm) - QuickBooks Desktop interprets the timestamp using the specified timezone."},"1bf3f9ea-1b1a-4a25-8b4a-866706dab28e":{"in":"query","name":"updatedBefore","schema":{"description":"Filter for bill check payments updated on or before this date/time. Accepts the following ISO 8601 formats:\n- **date-only** (YYYY-MM-DD) - QuickBooks Desktop interprets the date as the **end of the specified day** in the local timezone of the end-user's computer (e.g., `2025-01-01` → `2025-01-01T23:59:59`).\n- **datetime without timezone** (YYYY-MM-DDTHH:mm:ss) - QuickBooks Desktop interprets the timestamp in the local timezone of the end-user's computer.\n- **datetime with timezone** (YYYY-MM-DDTHH:mm:ss±HH:mm) - QuickBooks Desktop interprets the timestamp using the specified timezone.","example":"2025-02-01T12:34:56.000Z","type":"string","uniqueKey":"","typeLabel":"string"},"description":"Filter for bill check payments updated on or before this date/time. Accepts the following ISO 8601 formats:\n- **date-only** (YYYY-MM-DD) - QuickBooks Desktop interprets the date as the **end of the specified day** in the local timezone of the end-user's computer (e.g., `2025-01-01` → `2025-01-01T23:59:59`).\n- **datetime without timezone** (YYYY-MM-DDTHH:mm:ss) - QuickBooks Desktop interprets the timestamp in the local timezone of the end-user's computer.\n- **datetime with timezone** (YYYY-MM-DDTHH:mm:ss±HH:mm) - QuickBooks Desktop interprets the timestamp using the specified timezone."},"dc1b4ab4-1e12-4a63-b978-bc35cba2f772":{"in":"query","name":"transactionDateFrom","schema":{"description":"Filter for bill check payments whose `date` field is on or after this date, in ISO 8601 format (YYYY-MM-DD).\n\n**NOTE:** QuickBooks Desktop interprets this date as the **start of the specified day** in the local timezone of the end-user's computer (e.g., `2025-01-01` → `2025-01-01T00:00:00`).","example":"2025-01-01","type":"string","format":"date","uniqueKey":"","typeLabel":"string\u003cdate>"},"description":"Filter for bill check payments whose `date` field is on or after this date, in ISO 8601 format (YYYY-MM-DD).\n\n**NOTE:** QuickBooks Desktop interprets this date as the **start of the specified day** in the local timezone of the end-user's computer (e.g., `2025-01-01` → `2025-01-01T00:00:00`)."},"8c5a1602-278b-4a7f-8d58-1fe700df3695":{"in":"query","name":"transactionDateTo","schema":{"description":"Filter for bill check payments whose `date` field is on or before this date, in ISO 8601 format (YYYY-MM-DD).\n\n**NOTE:** QuickBooks Desktop interprets this date as the **end of the specified day** in the local timezone of the end-user's computer (e.g., `2025-01-01` → `2025-01-01T23:59:59`).","example":"2025-02-01","type":"string","format":"date","uniqueKey":"","typeLabel":"string\u003cdate>"},"description":"Filter for bill check payments whose `date` field is on or before this date, in ISO 8601 format (YYYY-MM-DD).\n\n**NOTE:** QuickBooks Desktop interprets this date as the **end of the specified day** in the local timezone of the end-user's computer (e.g., `2025-01-01` → `2025-01-01T23:59:59`)."},"ad487579-514b-489a-adbc-e2d784661428":{"in":"query","name":"vendorIds","schema":{"description":"Filter for bill check payments sent to these vendors. These are the vendors who sent the bills paid by these checks.","example":["80000001-1234567890"],"type":"array","items":{"type":"string","uniqueKey":"items.[INDEX]","typeLabel":"string"},"uniqueKey":"","typeLabel":"string[]"},"description":"Filter for bill check payments sent to these vendors. These are the vendors who sent the bills paid by these checks."},"3c3e22a5-064b-42ea-9641-4c786f73ec9b":{"in":"query","name":"accountIds","schema":{"description":"Filter for bill check payments associated with these accounts.","example":["80000001-1234567890"],"type":"array","items":{"type":"string","uniqueKey":"items.[INDEX]","typeLabel":"string"},"uniqueKey":"","typeLabel":"string[]"},"description":"Filter for bill check payments associated with these accounts."},"0a0d7f98-cf86-4a15-8c1c-48d7875e6690":{"in":"query","name":"refNumberContains","schema":{"description":"Filter for bill check payments whose `refNumber` contains this substring. (For checks, this field is the check number.)\n\n**NOTE**: If you use this parameter, you cannot also use `refNumberStartsWith` or `refNumberEndsWith`.","example":"CHECK-1234","type":"string","uniqueKey":"","typeLabel":"string"},"description":"Filter for bill check payments whose `refNumber` contains this substring. (For checks, this field is the check number.)\n\n**NOTE**: If you use this parameter, you cannot also use `refNumberStartsWith` or `refNumberEndsWith`."},"0b0eebda-9a8a-4bd6-99fc-ebc4896126f5":{"in":"query","name":"refNumberStartsWith","schema":{"description":"Filter for bill check payments whose `refNumber` starts with this substring. (For checks, this field is the check number.)\n\n**NOTE**: If you use this parameter, you cannot also use `refNumberContains` or `refNumberEndsWith`.","example":"CHECK","type":"string","uniqueKey":"","typeLabel":"string"},"description":"Filter for bill check payments whose `refNumber` starts with this substring. (For checks, this field is the check number.)\n\n**NOTE**: If you use this parameter, you cannot also use `refNumberContains` or `refNumberEndsWith`."},"a594b737-3bff-44f1-a1f6-c20dbf9b81f6":{"in":"query","name":"refNumberEndsWith","schema":{"description":"Filter for bill check payments whose `refNumber` ends with this substring. (For checks, this field is the check number.)\n\n**NOTE**: If you use this parameter, you cannot also use `refNumberContains` or `refNumberStartsWith`.","example":"1234","type":"string","uniqueKey":"","typeLabel":"string"},"description":"Filter for bill check payments whose `refNumber` ends with this substring. (For checks, this field is the check number.)\n\n**NOTE**: If you use this parameter, you cannot also use `refNumberContains` or `refNumberStartsWith`."},"04dd88ad-3a1f-4c53-a44e-aab5bd692bb2":{"in":"query","name":"refNumberFrom","schema":{"description":"Filter for bill check payments whose `refNumber` is greater than or equal to this value. (For checks, this field is the check number.) If omitted, the range will begin with the first number of the list. Uses a numerical comparison for values that contain only digits; otherwise, uses a lexicographical comparison.\n\n**NOTE**: If you use this parameter, you cannot also use `refNumberContains`, `refNumberStartsWith`, or `refNumberEndsWith`.","example":"CHECK-0001","type":"string","uniqueKey":"","typeLabel":"string"},"description":"Filter for bill check payments whose `refNumber` is greater than or equal to this value. (For checks, this field is the check number.) If omitted, the range will begin with the first number of the list. Uses a numerical comparison for values that contain only digits; otherwise, uses a lexicographical comparison.\n\n**NOTE**: If you use this parameter, you cannot also use `refNumberContains`, `refNumberStartsWith`, or `refNumberEndsWith`."},"8cbf16d5-c661-423a-b41b-cb4cb1d9e1ec":{"in":"query","name":"refNumberTo","schema":{"description":"Filter for bill check payments whose `refNumber` is less than or equal to this value. (For checks, this field is the check number.) If omitted, the range will end with the last number of the list. Uses a numerical comparison for values that contain only digits; otherwise, uses a lexicographical comparison.\n\n**NOTE**: If you use this parameter, you cannot also use `refNumberContains`, `refNumberStartsWith`, or `refNumberEndsWith`.","example":"CHECK-9999","type":"string","uniqueKey":"","typeLabel":"string"},"description":"Filter for bill check payments whose `refNumber` is less than or equal to this value. (For checks, this field is the check number.) If omitted, the range will end with the last number of the list. Uses a numerical comparison for values that contain only digits; otherwise, uses a lexicographical comparison.\n\n**NOTE**: If you use this parameter, you cannot also use `refNumberContains`, `refNumberStartsWith`, or `refNumberEndsWith`."},"7552db24-99b9-4937-b71e-12839ee239d5":{"in":"query","name":"currencyIds","schema":{"description":"Filter for bill check payments in these currencies.","example":["80000001-1234567890"],"type":"array","items":{"type":"string","uniqueKey":"items.[INDEX]","typeLabel":"string"},"uniqueKey":"","typeLabel":"string[]"},"description":"Filter for bill check payments in these currencies."},"d945afdd-1a77-4ce7-adbf-c13cef055cbe":{"in":"query","name":"includeLineItems","schema":{"description":"Whether to include line items in the response. Defaults to `true`.","example":true,"type":"boolean","default":true,"uniqueKey":"","typeLabel":"boolean"},"description":"Whether to include line items in the response. Defaults to `true`."}},"responses":{"aca44992-852b-42a0-8337-fd09b9a38e64":{"description":"Returns a list of bill check payments.","headers":{"Conductor-Request-Id":{"required":true,"description":"The unique identifier for this API request.","schema":{"type":"string","description":"The unique identifier for this API request.","example":"req_1234567abcdefg"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"objectType":{"description":"The type of object. This value is always `\"list\"`.","example":"list","type":"string","const":"list","isRequired":true,"uniqueKey":"objectType","typeLabel":"string"},"url":{"type":"string","description":"The endpoint URL where this list can be accessed.","example":"/v1/quickbooks-desktop/bill-check-payments","isRequired":true,"uniqueKey":"url","typeLabel":"string"},"data":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier assigned by QuickBooks to this bill check payment. This ID is unique across all transaction types.","example":"123ABC-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].id","typeLabel":"string"},"objectType":{"description":"The type of object. This value is always `\"qbd_bill_check_payment\"`.","example":"qbd_bill_check_payment","type":"string","const":"qbd_bill_check_payment","isRequired":true,"uniqueKey":"data.items.[INDEX].objectType","typeLabel":"string"},"createdAt":{"type":"string","description":"The date and time when this bill check payment was created, in ISO 8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop interprets in the local timezone of the end-user's computer.","example":"2025-01-01T12:34:56.000Z","isRequired":true,"uniqueKey":"data.items.[INDEX].createdAt","typeLabel":"string"},"updatedAt":{"type":"string","description":"The date and time when this bill check payment was last updated, in ISO 8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop interprets in the local timezone of the end-user's computer.","example":"2025-02-01T12:34:56.000Z","isRequired":true,"uniqueKey":"data.items.[INDEX].updatedAt","typeLabel":"string"},"revisionNumber":{"type":"string","description":"The current QuickBooks-assigned revision number of this bill check payment object, which changes each time the object is modified. When updating this object, you must provide the most recent `revisionNumber` to ensure you're working with the latest data; otherwise, the update will return an error.","example":"1721172183","isRequired":true,"uniqueKey":"data.items.[INDEX].revisionNumber","typeLabel":"string"},"vendor":{"oneOf":[{"type":"object","description":"The vendor who sent the bill(s) that this bill check payment is paying and who will receive this payment.\n\n**IMPORTANT**: This vendor must match the `vendor` on the bill(s) specified in `applyToTransactions`.","required":["id","fullName"],"example":{"id":"80000001-1234567890","fullName":"Suppliers:ABC Office Supplies"},"properties":{"id":{"oneOf":[{"type":"string","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].vendor.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].vendor.oneOf.0.id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].vendor.oneOf.0.id","typeLabel":"string | null"},"fullName":{"oneOf":[{"type":"string","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"data.items.[INDEX].vendor.oneOf.0.fullName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"data.items.[INDEX].vendor.oneOf.0.fullName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].vendor.oneOf.0.fullName","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"data.items.[INDEX].vendor.oneOf.0","typeLabel":"object"},{"type":"null","description":"The vendor who sent the bill(s) that this bill check payment is paying and who will receive this payment.\n\n**IMPORTANT**: This vendor must match the `vendor` on the bill(s) specified in `applyToTransactions`.","example":{"id":"80000001-1234567890","fullName":"Suppliers:ABC Office Supplies"},"isRequired":true,"uniqueKey":"data.items.[INDEX].vendor.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].vendor","typeLabel":"object | null"},"payablesAccount":{"oneOf":[{"type":"object","description":"The Accounts-Payable (A/P) account to which this bill check payment is assigned, used for accounts-payable tracking.\n\n**IMPORTANT**: If this bill check payment is linked to other transactions, this A/P account must match the `payablesAccount` used in those other transactions.","required":["id","fullName"],"example":{"id":"80000001-1234567890","fullName":"Accounts-Payable"},"properties":{"id":{"oneOf":[{"type":"string","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].payablesAccount.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].payablesAccount.oneOf.0.id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].payablesAccount.oneOf.0.id","typeLabel":"string | null"},"fullName":{"oneOf":[{"type":"string","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"data.items.[INDEX].payablesAccount.oneOf.0.fullName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"data.items.[INDEX].payablesAccount.oneOf.0.fullName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].payablesAccount.oneOf.0.fullName","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"data.items.[INDEX].payablesAccount.oneOf.0","typeLabel":"object"},{"type":"null","description":"The Accounts-Payable (A/P) account to which this bill check payment is assigned, used for accounts-payable tracking.\n\n**IMPORTANT**: If this bill check payment is linked to other transactions, this A/P account must match the `payablesAccount` used in those other transactions.","example":{"id":"80000001-1234567890","fullName":"Accounts-Payable"},"isRequired":true,"uniqueKey":"data.items.[INDEX].payablesAccount.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].payablesAccount","typeLabel":"object | null"},"transactionDate":{"type":"string","format":"date","description":"The date of this bill check payment, in ISO 8601 format (YYYY-MM-DD).","example":"2024-10-01","isRequired":true,"uniqueKey":"data.items.[INDEX].transactionDate","typeLabel":"string\u003cdate>"},"bankAccount":{"type":"object","properties":{"id":{"oneOf":[{"type":"string","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].bankAccount.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].bankAccount.id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].bankAccount.id","typeLabel":"string | null"},"fullName":{"oneOf":[{"type":"string","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"data.items.[INDEX].bankAccount.fullName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"data.items.[INDEX].bankAccount.fullName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].bankAccount.fullName","typeLabel":"string | null"}},"required":["id","fullName"],"additionalProperties":false,"description":"The bank account from which the funds are being drawn for this bill check payment; e.g., Checking or Savings. This bill check payment will decrease the balance of this account.","example":{"id":"80000001-1234567890","fullName":"Checking"},"isRequired":true,"uniqueKey":"data.items.[INDEX].bankAccount","typeLabel":"object"},"amount":{"type":"string","description":"The monetary amount of this bill check payment, represented as a decimal string.","example":"1000.00","isRequired":true,"uniqueKey":"data.items.[INDEX].amount","typeLabel":"string"},"currency":{"oneOf":[{"type":"object","description":"The bill check payment's currency. For built-in currencies, the name and code are standard ISO 4217 international values. For user-defined currencies, all values are editable.","required":["id","fullName"],"example":{"id":"80000001-1234567890","fullName":"USD"},"properties":{"id":{"oneOf":[{"type":"string","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].currency.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].currency.oneOf.0.id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].currency.oneOf.0.id","typeLabel":"string | null"},"fullName":{"oneOf":[{"type":"string","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"data.items.[INDEX].currency.oneOf.0.fullName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"data.items.[INDEX].currency.oneOf.0.fullName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].currency.oneOf.0.fullName","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"data.items.[INDEX].currency.oneOf.0","typeLabel":"object"},{"type":"null","description":"The bill check payment's currency. For built-in currencies, the name and code are standard ISO 4217 international values. For user-defined currencies, all values are editable.","example":{"id":"80000001-1234567890","fullName":"USD"},"isRequired":true,"uniqueKey":"data.items.[INDEX].currency.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].currency","typeLabel":"object | null"},"exchangeRate":{"oneOf":[{"type":"number","description":"The market exchange rate between this bill check payment's currency and the home currency in QuickBooks at the time of this transaction. Represented as a decimal value (e.g., 1.2345 for 1 EUR = 1.2345 USD if USD is the home currency).","example":1.2345,"isRequired":true,"uniqueKey":"data.items.[INDEX].exchangeRate.oneOf.0","typeLabel":"number"},{"type":"null","description":"The market exchange rate between this bill check payment's currency and the home currency in QuickBooks at the time of this transaction. Represented as a decimal value (e.g., 1.2345 for 1 EUR = 1.2345 USD if USD is the home currency).","example":1.2345,"isRequired":true,"uniqueKey":"data.items.[INDEX].exchangeRate.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].exchangeRate","typeLabel":"number | null"},"amountInHomeCurrency":{"oneOf":[{"type":"string","description":"The monetary amount of this bill check payment converted to the home currency of the QuickBooks company file. Represented as a decimal string.","example":"1234.56","isRequired":true,"uniqueKey":"data.items.[INDEX].amountInHomeCurrency.oneOf.0","typeLabel":"string"},{"type":"null","description":"The monetary amount of this bill check payment converted to the home currency of the QuickBooks company file. Represented as a decimal string.","example":"1234.56","isRequired":true,"uniqueKey":"data.items.[INDEX].amountInHomeCurrency.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].amountInHomeCurrency","typeLabel":"string | null"},"refNumber":{"oneOf":[{"type":"string","description":"The case-sensitive user-defined reference number for this bill check payment, which can be used to identify the transaction in QuickBooks. This value is not required to be unique and can be arbitrarily changed by the QuickBooks user.\n\n**IMPORTANT**: For checks, this field is the check number.","example":"CHECK-1234","isRequired":true,"uniqueKey":"data.items.[INDEX].refNumber.oneOf.0","typeLabel":"string"},{"type":"null","description":"The case-sensitive user-defined reference number for this bill check payment, which can be used to identify the transaction in QuickBooks. This value is not required to be unique and can be arbitrarily changed by the QuickBooks user.\n\n**IMPORTANT**: For checks, this field is the check number.","example":"CHECK-1234","isRequired":true,"uniqueKey":"data.items.[INDEX].refNumber.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].refNumber","typeLabel":"string | null"},"memo":{"oneOf":[{"type":"string","description":"A memo or note for this bill check payment.","example":"Payment for office supplies - Invoice INV-1234","isRequired":true,"uniqueKey":"data.items.[INDEX].memo.oneOf.0","typeLabel":"string"},{"type":"null","description":"A memo or note for this bill check payment.","example":"Payment for office supplies - Invoice INV-1234","isRequired":true,"uniqueKey":"data.items.[INDEX].memo.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].memo","typeLabel":"string | null"},"address":{"oneOf":[{"type":"object","title":"The Address object","description":"The address that is printed on the bill check payment.","required":["line1","line2","line3","line4","line5","city","state","postalCode","country","note"],"x-conductor-object-type":"nested","properties":{"line1":{"oneOf":[{"type":"string","description":"The first line of the address (e.g., street, PO Box, or company name).","example":"Conductor Labs Inc.","isRequired":true,"uniqueKey":"data.items.[INDEX].address.oneOf.0.line1.oneOf.0","typeLabel":"string"},{"type":"null","description":"The first line of the address (e.g., street, PO Box, or company name).","example":"Conductor Labs Inc.","isRequired":true,"uniqueKey":"data.items.[INDEX].address.oneOf.0.line1.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].address.oneOf.0.line1","typeLabel":"string | null"},"line2":{"oneOf":[{"type":"string","description":"The second line of the address, if needed (e.g., apartment, suite, unit, or building).","example":"540 Market St.","isRequired":true,"uniqueKey":"data.items.[INDEX].address.oneOf.0.line2.oneOf.0","typeLabel":"string"},{"type":"null","description":"The second line of the address, if needed (e.g., apartment, suite, unit, or building).","example":"540 Market St.","isRequired":true,"uniqueKey":"data.items.[INDEX].address.oneOf.0.line2.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].address.oneOf.0.line2","typeLabel":"string | null"},"line3":{"oneOf":[{"type":"string","description":"The third line of the address, if needed.","example":"Suite 100","isRequired":true,"uniqueKey":"data.items.[INDEX].address.oneOf.0.line3.oneOf.0","typeLabel":"string"},{"type":"null","description":"The third line of the address, if needed.","example":"Suite 100","isRequired":true,"uniqueKey":"data.items.[INDEX].address.oneOf.0.line3.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].address.oneOf.0.line3","typeLabel":"string | null"},"line4":{"oneOf":[{"type":"string","description":"The fourth line of the address, if needed.","example":"","isRequired":true,"uniqueKey":"data.items.[INDEX].address.oneOf.0.line4.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fourth line of the address, if needed.","example":"","isRequired":true,"uniqueKey":"data.items.[INDEX].address.oneOf.0.line4.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].address.oneOf.0.line4","typeLabel":"string | null"},"line5":{"oneOf":[{"type":"string","description":"The fifth line of the address, if needed.","example":"","isRequired":true,"uniqueKey":"data.items.[INDEX].address.oneOf.0.line5.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fifth line of the address, if needed.","example":"","isRequired":true,"uniqueKey":"data.items.[INDEX].address.oneOf.0.line5.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].address.oneOf.0.line5","typeLabel":"string | null"},"city":{"oneOf":[{"type":"string","description":"The city, district, suburb, town, or village name of the address.","example":"San Francisco","isRequired":true,"uniqueKey":"data.items.[INDEX].address.oneOf.0.city.oneOf.0","typeLabel":"string"},{"type":"null","description":"The city, district, suburb, town, or village name of the address.","example":"San Francisco","isRequired":true,"uniqueKey":"data.items.[INDEX].address.oneOf.0.city.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].address.oneOf.0.city","typeLabel":"string | null"},"state":{"oneOf":[{"type":"string","description":"The state, county, province, or region name of the address.","example":"CA","isRequired":true,"uniqueKey":"data.items.[INDEX].address.oneOf.0.state.oneOf.0","typeLabel":"string"},{"type":"null","description":"The state, county, province, or region name of the address.","example":"CA","isRequired":true,"uniqueKey":"data.items.[INDEX].address.oneOf.0.state.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].address.oneOf.0.state","typeLabel":"string | null"},"postalCode":{"oneOf":[{"type":"string","description":"The postal code or ZIP code of the address.","example":"94110","isRequired":true,"uniqueKey":"data.items.[INDEX].address.oneOf.0.postalCode.oneOf.0","typeLabel":"string"},{"type":"null","description":"The postal code or ZIP code of the address.","example":"94110","isRequired":true,"uniqueKey":"data.items.[INDEX].address.oneOf.0.postalCode.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].address.oneOf.0.postalCode","typeLabel":"string | null"},"country":{"oneOf":[{"type":"string","description":"The country name of the address.","example":"United States","isRequired":true,"uniqueKey":"data.items.[INDEX].address.oneOf.0.country.oneOf.0","typeLabel":"string"},{"type":"null","description":"The country name of the address.","example":"United States","isRequired":true,"uniqueKey":"data.items.[INDEX].address.oneOf.0.country.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].address.oneOf.0.country","typeLabel":"string | null"},"note":{"oneOf":[{"type":"string","description":"A note written at the bottom of the address in the form in which it appears, such as the invoice form.","example":"Conductor HQ","isRequired":true,"uniqueKey":"data.items.[INDEX].address.oneOf.0.note.oneOf.0","typeLabel":"string"},{"type":"null","description":"A note written at the bottom of the address in the form in which it appears, such as the invoice form.","example":"Conductor HQ","isRequired":true,"uniqueKey":"data.items.[INDEX].address.oneOf.0.note.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].address.oneOf.0.note","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"data.items.[INDEX].address.oneOf.0","typeLabel":"The Address object · object"},{"type":"null","description":"The address that is printed on the bill check payment.","isRequired":true,"uniqueKey":"data.items.[INDEX].address.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].address","typeLabel":"The Address object · object | null"},"isQueuedForPrint":{"oneOf":[{"type":"boolean","description":"Indicates whether this bill check payment is included in the queue of documents for QuickBooks to print.","example":true,"isRequired":true,"uniqueKey":"data.items.[INDEX].isQueuedForPrint.oneOf.0","typeLabel":"boolean"},{"type":"null","isRequired":true,"uniqueKey":"data.items.[INDEX].isQueuedForPrint.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].isQueuedForPrint","typeLabel":"boolean | null"},"externalId":{"oneOf":[{"type":"string","description":"A globally unique identifier (GUID) you, the developer, can provide for tracking this object in your external system. This field is immutable and can only be set during object creation.","example":"12345678-abcd-1234-abcd-1234567890ab","isRequired":true,"uniqueKey":"data.items.[INDEX].externalId.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"data.items.[INDEX].externalId.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].externalId","typeLabel":"string | null"},"appliedToTransactions":{"type":"array","items":{"type":"object","properties":{"transactionId":{"type":"string","maxLength":36,"description":"The ID of the target transaction to which this payment is applied.","example":"123ABC-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].appliedToTransactions.items.[INDEX].transactionId","typeLabel":"string"},"transactionType":{"type":"string","enum":["ar_refund_credit_card","bill","bill_payment_check","bill_payment_credit_card","build_assembly","charge","check","credit_card_charge","credit_card_credit","credit_memo","deposit","estimate","inventory_adjustment","invoice","item_receipt","journal_entry","liability_adjustment","paycheck","payroll_liability_check","purchase_order","receive_payment","sales_order","sales_receipt","sales_tax_payment_check","transfer","vendor_credit","ytd_adjustment","transfer_inventory","unknown"],"description":"The type of transaction for this target transaction.","example":"invoice","isRequired":true,"uniqueKey":"data.items.[INDEX].appliedToTransactions.items.[INDEX].transactionType","typeLabel":"enum\u003cstring>"},"transactionDate":{"oneOf":[{"type":"string","description":"The date of this target transaction, in ISO 8601 format (YYYY-MM-DD).","format":"date","example":"2024-10-01T00:00:00.000Z","isRequired":true,"uniqueKey":"data.items.[INDEX].appliedToTransactions.items.[INDEX].transactionDate.oneOf.0","typeLabel":"string\u003cdate>"},{"type":"null","description":"The date of this target transaction, in ISO 8601 format (YYYY-MM-DD).","example":"2024-10-01T00:00:00.000Z","isRequired":true,"uniqueKey":"data.items.[INDEX].appliedToTransactions.items.[INDEX].transactionDate.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].appliedToTransactions.items.[INDEX].transactionDate","typeLabel":"string\u003cdate> | null"},"refNumber":{"oneOf":[{"type":"string","description":"The case-sensitive user-defined reference number for this target transaction, which can be used to identify the transaction in QuickBooks. This value is not required to be unique and can be arbitrarily changed by the QuickBooks user.","example":"TXN-1234","isRequired":true,"uniqueKey":"data.items.[INDEX].appliedToTransactions.items.[INDEX].refNumber.oneOf.0","typeLabel":"string"},{"type":"null","description":"The case-sensitive user-defined reference number for this target transaction, which can be used to identify the transaction in QuickBooks. This value is not required to be unique and can be arbitrarily changed by the QuickBooks user.","example":"TXN-1234","isRequired":true,"uniqueKey":"data.items.[INDEX].appliedToTransactions.items.[INDEX].refNumber.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].appliedToTransactions.items.[INDEX].refNumber","typeLabel":"string | null"},"balanceRemaining":{"oneOf":[{"type":"string","description":"The outstanding balance of this target transaction after applying any credits or payments. Represented as a decimal string.","example":"100.00","isRequired":true,"uniqueKey":"data.items.[INDEX].appliedToTransactions.items.[INDEX].balanceRemaining.oneOf.0","typeLabel":"string"},{"type":"null","description":"The outstanding balance of this target transaction after applying any credits or payments. Represented as a decimal string.","example":"100.00","isRequired":true,"uniqueKey":"data.items.[INDEX].appliedToTransactions.items.[INDEX].balanceRemaining.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].appliedToTransactions.items.[INDEX].balanceRemaining","typeLabel":"string | null"},"amount":{"oneOf":[{"type":"string","description":"The monetary amount of this target transaction, represented as a decimal string.","example":"1000.00","isRequired":true,"uniqueKey":"data.items.[INDEX].appliedToTransactions.items.[INDEX].amount.oneOf.0","typeLabel":"string"},{"type":"null","description":"The monetary amount of this target transaction, represented as a decimal string.","example":"1000.00","isRequired":true,"uniqueKey":"data.items.[INDEX].appliedToTransactions.items.[INDEX].amount.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].appliedToTransactions.items.[INDEX].amount","typeLabel":"string | null"},"discountAmount":{"oneOf":[{"type":"string","description":"The monetary amount by which to reduce this target transaction's balance, represented as a decimal string.","example":"50.00","isRequired":true,"uniqueKey":"data.items.[INDEX].appliedToTransactions.items.[INDEX].discountAmount.oneOf.0","typeLabel":"string"},{"type":"null","description":"The monetary amount by which to reduce this target transaction's balance, represented as a decimal string.","example":"50.00","isRequired":true,"uniqueKey":"data.items.[INDEX].appliedToTransactions.items.[INDEX].discountAmount.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].appliedToTransactions.items.[INDEX].discountAmount","typeLabel":"string | null"},"discountAccount":{"oneOf":[{"type":"object","description":"The financial account used to track this target transaction's discount.","required":["id","fullName"],"example":{"id":"80000001-1234567890","fullName":"Discount Account"},"properties":{"id":{"oneOf":[{"type":"string","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].appliedToTransactions.items.[INDEX].discountAccount.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].appliedToTransactions.items.[INDEX].discountAccount.oneOf.0.id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].appliedToTransactions.items.[INDEX].discountAccount.oneOf.0.id","typeLabel":"string | null"},"fullName":{"oneOf":[{"type":"string","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"data.items.[INDEX].appliedToTransactions.items.[INDEX].discountAccount.oneOf.0.fullName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"data.items.[INDEX].appliedToTransactions.items.[INDEX].discountAccount.oneOf.0.fullName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].appliedToTransactions.items.[INDEX].discountAccount.oneOf.0.fullName","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"data.items.[INDEX].appliedToTransactions.items.[INDEX].discountAccount.oneOf.0","typeLabel":"object"},{"type":"null","description":"The financial account used to track this target transaction's discount.","example":{"id":"80000001-1234567890","fullName":"Discount Account"},"isRequired":true,"uniqueKey":"data.items.[INDEX].appliedToTransactions.items.[INDEX].discountAccount.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].appliedToTransactions.items.[INDEX].discountAccount","typeLabel":"object | null"},"discountClass":{"oneOf":[{"type":"object","description":"The class used to track this target transaction's discount.","required":["id","fullName"],"example":{"id":"80000001-1234567890","fullName":"Discounts"},"properties":{"id":{"oneOf":[{"type":"string","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].appliedToTransactions.items.[INDEX].discountClass.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].appliedToTransactions.items.[INDEX].discountClass.oneOf.0.id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].appliedToTransactions.items.[INDEX].discountClass.oneOf.0.id","typeLabel":"string | null"},"fullName":{"oneOf":[{"type":"string","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"data.items.[INDEX].appliedToTransactions.items.[INDEX].discountClass.oneOf.0.fullName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"data.items.[INDEX].appliedToTransactions.items.[INDEX].discountClass.oneOf.0.fullName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].appliedToTransactions.items.[INDEX].discountClass.oneOf.0.fullName","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"data.items.[INDEX].appliedToTransactions.items.[INDEX].discountClass.oneOf.0","typeLabel":"object"},{"type":"null","description":"The class used to track this target transaction's discount.","example":{"id":"80000001-1234567890","fullName":"Discounts"},"isRequired":true,"uniqueKey":"data.items.[INDEX].appliedToTransactions.items.[INDEX].discountClass.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].appliedToTransactions.items.[INDEX].discountClass","typeLabel":"object | null"},"linkedTransactions":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier assigned by QuickBooks to this linked transaction. This ID is unique across all transaction types.","example":"123ABC-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].appliedToTransactions.items.[INDEX].linkedTransactions.items.[INDEX].id","typeLabel":"string"},"objectType":{"description":"The type of object. This value is always `\"qbd_linked_transaction\"`.","example":"qbd_linked_transaction","type":"string","const":"qbd_linked_transaction","isRequired":true,"uniqueKey":"data.items.[INDEX].appliedToTransactions.items.[INDEX].linkedTransactions.items.[INDEX].objectType","typeLabel":"string"},"transactionType":{"type":"string","enum":["ar_refund_credit_card","bill","bill_payment_check","bill_payment_credit_card","build_assembly","charge","check","credit_card_charge","credit_card_credit","credit_memo","deposit","estimate","inventory_adjustment","invoice","item_receipt","journal_entry","liability_adjustment","paycheck","payroll_liability_check","purchase_order","receive_payment","sales_order","sales_receipt","sales_tax_payment_check","transfer","vendor_credit","ytd_adjustment","transfer_inventory","unknown"],"description":"The type of transaction for this linked transaction.","example":"invoice","isRequired":true,"uniqueKey":"data.items.[INDEX].appliedToTransactions.items.[INDEX].linkedTransactions.items.[INDEX].transactionType","typeLabel":"enum\u003cstring>"},"transactionDate":{"type":"string","format":"date","description":"The date of this linked transaction, in ISO 8601 format (YYYY-MM-DD).","example":"2024-10-01","isRequired":true,"uniqueKey":"data.items.[INDEX].appliedToTransactions.items.[INDEX].linkedTransactions.items.[INDEX].transactionDate","typeLabel":"string\u003cdate>"},"refNumber":{"oneOf":[{"type":"string","description":"The case-sensitive user-defined reference number for this linked transaction, which can be used to identify the transaction in QuickBooks. This value is not required to be unique and can be arbitrarily changed by the QuickBooks user.","example":"LINK-1234","isRequired":true,"uniqueKey":"data.items.[INDEX].appliedToTransactions.items.[INDEX].linkedTransactions.items.[INDEX].refNumber.oneOf.0","typeLabel":"string"},{"type":"null","description":"The case-sensitive user-defined reference number for this linked transaction, which can be used to identify the transaction in QuickBooks. This value is not required to be unique and can be arbitrarily changed by the QuickBooks user.","example":"LINK-1234","isRequired":true,"uniqueKey":"data.items.[INDEX].appliedToTransactions.items.[INDEX].linkedTransactions.items.[INDEX].refNumber.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].appliedToTransactions.items.[INDEX].linkedTransactions.items.[INDEX].refNumber","typeLabel":"string | null"},"linkType":{"oneOf":[{"type":"string","description":"Indicates the nature of the link between the transactions: `amount` denotes an amount-based link (e.g., an invoice linked to a payment), and `quantity` denotes a quantity-based link (e.g., an invoice created from a sales order based on the quantity of items received).","enum":["amount","quantity"],"example":"amount","isRequired":true,"uniqueKey":"data.items.[INDEX].appliedToTransactions.items.[INDEX].linkedTransactions.items.[INDEX].linkType.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"Indicates the nature of the link between the transactions: `amount` denotes an amount-based link (e.g., an invoice linked to a payment), and `quantity` denotes a quantity-based link (e.g., an invoice created from a sales order based on the quantity of items received).","example":"amount","isRequired":true,"uniqueKey":"data.items.[INDEX].appliedToTransactions.items.[INDEX].linkedTransactions.items.[INDEX].linkType.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].appliedToTransactions.items.[INDEX].linkedTransactions.items.[INDEX].linkType","typeLabel":"enum\u003cstring> | null"},"amount":{"oneOf":[{"type":"string","description":"The monetary amount of this linked transaction, represented as a decimal string.","example":"1000.00","isRequired":true,"uniqueKey":"data.items.[INDEX].appliedToTransactions.items.[INDEX].linkedTransactions.items.[INDEX].amount.oneOf.0","typeLabel":"string"},{"type":"null","description":"The monetary amount of this linked transaction, represented as a decimal string.","example":"1000.00","isRequired":true,"uniqueKey":"data.items.[INDEX].appliedToTransactions.items.[INDEX].linkedTransactions.items.[INDEX].amount.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].appliedToTransactions.items.[INDEX].linkedTransactions.items.[INDEX].amount","typeLabel":"string | null"}},"required":["id","objectType","transactionType","transactionDate","refNumber","linkType","amount"],"additionalProperties":false,"title":"The Linked Transaction object","x-conductor-object-type":"nested","uniqueKey":"data.items.[INDEX].appliedToTransactions.items.[INDEX].linkedTransactions.items.[INDEX]","typeLabel":"The Linked Transaction object · object"},"description":"The target transaction's linked transactions, such as payments applied, credits used, or associated purchase orders.\n\n**IMPORTANT**: You must specify the parameter `includeLinkedTransactions` when fetching a list of target transactions to receive this field because it is not returned by default.","isRequired":true,"uniqueKey":"data.items.[INDEX].appliedToTransactions.items.[INDEX].linkedTransactions","typeLabel":"The Linked Transaction object · object[]"}},"required":["transactionId","transactionType","transactionDate","refNumber","balanceRemaining","amount","discountAmount","discountAccount","discountClass","linkedTransactions"],"additionalProperties":false,"title":"The Target Transaction object","x-conductor-object-type":"nested","uniqueKey":"data.items.[INDEX].appliedToTransactions.items.[INDEX]","typeLabel":"The Target Transaction object · object"},"description":"The bill(s) paid by this bill check payment.","isRequired":true,"uniqueKey":"data.items.[INDEX].appliedToTransactions","typeLabel":"The Target Transaction object · object[]"},"customFields":{"type":"array","items":{"type":"object","properties":{"ownerId":{"type":"string","description":"The identifier of the owner of the custom field, which QuickBooks internally calls a \"data extension\". For public custom fields visible in the UI, such as those added by the QuickBooks user, this is always \"0\". For private custom fields that are only visible to the application that created them, this is a valid GUID identifying the owning application. Internally, Conductor always fetches all public custom fields (those with an `ownerId` of \"0\") for all objects.","example":"0","isRequired":true,"uniqueKey":"data.items.[INDEX].customFields.items.[INDEX].ownerId","typeLabel":"string"},"name":{"type":"string","description":"The name of the custom field, unique for the specified `ownerId`. For public custom fields, this name is visible as a label in the QuickBooks UI.","example":"Customer Rating","isRequired":true,"uniqueKey":"data.items.[INDEX].customFields.items.[INDEX].name","typeLabel":"string"},"type":{"type":"string","enum":["amount_type","date_time_type","integer_type","percent_type","price_type","quantity_type","string_1024_type","string_255_type"],"description":"The data type of this custom field.","example":"string_1024_type","isRequired":true,"uniqueKey":"data.items.[INDEX].customFields.items.[INDEX].type","typeLabel":"enum\u003cstring>"},"value":{"type":"string","description":"The value of this custom field. The maximum length depends on the field's data type.","example":"Premium","isRequired":true,"uniqueKey":"data.items.[INDEX].customFields.items.[INDEX].value","typeLabel":"string"}},"required":["ownerId","name","type","value"],"additionalProperties":false,"title":"The Custom Field object","x-conductor-object-type":"nested","uniqueKey":"data.items.[INDEX].customFields.items.[INDEX]","typeLabel":"The Custom Field object · object"},"description":"The custom fields for the bill check payment object, added as user-defined data extensions, not included in the standard QuickBooks object.","isRequired":true,"uniqueKey":"data.items.[INDEX].customFields","typeLabel":"The Custom Field object · object[]"}},"required":["id","objectType","createdAt","updatedAt","revisionNumber","vendor","payablesAccount","transactionDate","bankAccount","amount","currency","exchangeRate","amountInHomeCurrency","refNumber","memo","address","isQueuedForPrint","externalId","appliedToTransactions","customFields"],"additionalProperties":false,"title":"The Bill Check Payment object","x-conductor-object-type":"transaction","summary":"A bill check payment records a payment made by check to pay off one or more vendor bills. It reduces accounts payable and decreases the bank account balance. This transaction links the original bill(s) with the payment, allowing QuickBooks to track which bills have been paid and maintain accurate vendor balances.","uniqueKey":"data.items.[INDEX]","typeLabel":"The Bill Check Payment object · object"},"description":"The array of bill check payments.","isRequired":true,"uniqueKey":"data","typeLabel":"The Bill Check Payment object · object[]"},"nextCursor":{"oneOf":[{"type":"string","description":"The `nextCursor` is a pagination token returned in the response when you use the `limit` parameter in your request. To retrieve subsequent pages of results, include this token as the value of the `cursor` request parameter in your following API calls.\n\n**NOTE**: The `nextCursor` value remains constant throughout the pagination process for a specific list instance; continue to use the same `nextCursor` token in each request to fetch additional pages.","example":"12345678-abcd-abcd-example-1234567890ab","isRequired":true,"uniqueKey":"nextCursor.oneOf.0","typeLabel":"string"},{"type":"null","description":"The `nextCursor` is a pagination token returned in the response when you use the `limit` parameter in your request. To retrieve subsequent pages of results, include this token as the value of the `cursor` request parameter in your following API calls.\n\n**NOTE**: The `nextCursor` value remains constant throughout the pagination process for a specific list instance; continue to use the same `nextCursor` token in each request to fetch additional pages.","example":"12345678-abcd-abcd-example-1234567890ab","isRequired":true,"uniqueKey":"nextCursor.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"nextCursor","typeLabel":"string | null"},"remainingCount":{"oneOf":[{"type":"number","description":"The number of objects remaining to be fetched.","example":10,"isRequired":true,"uniqueKey":"remainingCount.oneOf.0","typeLabel":"number"},{"type":"null","description":"The number of objects remaining to be fetched.","example":10,"isRequired":true,"uniqueKey":"remainingCount.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"remainingCount","typeLabel":"number | null"},"hasMore":{"type":"boolean","description":"Indicates whether there are more objects to be fetched.","isRequired":true,"uniqueKey":"hasMore","typeLabel":"boolean"}},"required":["objectType","url","data","nextCursor","remainingCount","hasMore"],"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"objectType":"list","url":"/v1/quickbooks-desktop/bill-check-payments","data":[{"id":"123ABC-1234567890","objectType":"qbd_bill_check_payment","createdAt":"2025-01-01T12:34:56.000Z","updatedAt":"2025-02-01T12:34:56.000Z","revisionNumber":"1721172183","vendor":{"id":"80000001-1234567890","fullName":"Suppliers:ABC Office Supplies"},"payablesAccount":{"id":"80000001-1234567890","fullName":"Accounts-Payable"},"transactionDate":"2024-10-01","bankAccount":{"id":"80000001-1234567890","fullName":"Checking"},"amount":"1000.00","currency":{"id":"80000001-1234567890","fullName":"USD"},"exchangeRate":1.2345,"amountInHomeCurrency":"1234.56","refNumber":"CHECK-1234","memo":"Payment for office supplies - Invoice INV-1234","address":{"line1":"Conductor Labs Inc.","line2":"540 Market St.","line3":"Suite 100","line4":"","line5":"","city":"San Francisco","state":"CA","postalCode":"94110","country":"United States","note":"Conductor HQ"},"isQueuedForPrint":true,"externalId":"12345678-abcd-1234-abcd-1234567890ab","appliedToTransactions":[{"transactionId":"123ABC-1234567890","transactionType":"invoice","transactionDate":"2024-10-01T00:00:00.000Z","refNumber":"TXN-1234","balanceRemaining":"100.00","amount":"1000.00","discountAmount":"50.00","discountAccount":{"id":"80000001-1234567890","fullName":"Discount Account"},"discountClass":{"id":"80000001-1234567890","fullName":"Discounts"},"linkedTransactions":[{"id":"123ABC-1234567890","objectType":"qbd_linked_transaction","transactionType":"invoice","transactionDate":"2024-10-01","refNumber":"LINK-1234","linkType":"amount","amount":"1000.00"}]}],"customFields":[{"ownerId":"0","name":"Customer Rating","type":"string_1024_type","value":"Premium"}]}],"nextCursor":"12345678-abcd-abcd-example-1234567890ab","remainingCount":10,"hasMore":true}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"924d8e69-d0e3-43ef-89ec-3e62df71e0ac":{"BearerAuth":{"type":"http","scheme":"bearer","description":"Your Conductor secret key using Bearer auth (e.g., `\"Authorization: Bearer {{YOUR_SECRET_KEY}}\"`).","scopes":[],"schemeName":"BearerAuth"}}},"servers":{"bf6ac202-d364-495a-a90b-ff07a25d150a":{"url":"https://api.conductor.is/v1"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"Your Conductor secret key using Bearer auth (e.g., `\"Authorization: Bearer {{YOUR_SECRET_KEY}}\"`).","scopes":[],"schemeName":"BearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Your Conductor secret key using Bearer auth (e.g., `\"Authorization: Bearer {{YOUR_SECRET_KEY}}\"`).","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"BearerAuth","name":"Authorization"}],"title":"BearerAuth"}]},"originalFileLocation":"openapi.documented.yml"},"subdomain":"conductor","siteName":"Conductor Docs","title":"List all bill check payments - Conductor Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-01-27T20:40:22.423Z","originalFileLocation":"api-ref/qbd/bill-check-payments/list.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Returns a list of bill check payments. Use the cursor parameter to paginate through the results.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Conductor Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"List all bill check payments - Conductor Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Returns a list of bill check payments. Use the cursor parameter to paginate through the results.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Conductor Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.conductor.is/api-ref/qbd/bill-check-payments/list\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://conductor.mintlify.site/_mintlify/api/og/v2?division=Bill+Check+Payments\u0026amp;title=List+all+bill+check+payments\u0026amp;description=Returns+a+list+of+bill+check+payments.+Use+the+%60cursor%60+parameter+to+paginate+through+the+results.\u0026amp;theme=42320a3ef0ac6e9c3e1cc593\u0026amp;signature=6dd6525b0e7a1780df6450338e1b2c800f8fbd74a10a9ec65c4262e674db41a2\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"List all bill check payments - Conductor Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Returns a list of bill check payments. Use the cursor parameter to paginate through the results.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://conductor.mintlify.site/_mintlify/api/og/v2?division=Bill+Check+Payments\u0026amp;title=List+all+bill+check+payments\u0026amp;description=Returns+a+list+of+bill+check+payments.+Use+the+%60cursor%60+parameter+to+paginate+through+the+results.\u0026amp;theme=42320a3ef0ac6e9c3e1cc593\u0026amp;signature=6dd6525b0e7a1780df6450338e1b2c800f8fbd74a10a9ec65c4262e674db41a2\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Conductor Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#9563FF\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.conductor.is/api-ref/qbd/bill-check-payments/list\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-ref/qbd/bill-check-payments/list.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.conductor.is/#organization\",\"name\":\"Conductor Docs\",\"url\":\"https://docs.conductor.is\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/conductor/hjDC6C2Dz4sn63AO/logo/light.png?fit=max\u0026auto=format\u0026n=hjDC6C2Dz4sn63AO\u0026q=85\u0026s=43ebf17eb46ef6256a508d4fac23b3bf\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.conductor.is#website\",\"name\":\"Conductor Docs\",\"url\":\"https://docs.conductor.is\",\"publisher\":{\"@id\":\"https://docs.conductor.is/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.conductor.is/api-ref/qbd/bill-check-payments/list#webpage\",\"url\":\"https://docs.conductor.is/api-ref/qbd/bill-check-payments/list\",\"name\":\"List all bill check payments\",\"description\":\"Returns a list of bill check payments. Use the cursor parameter to paginate through the results.\",\"dateModified\":\"2026-01-27T20:40:22.423Z\",\"isPartOf\":{\"@id\":\"https://docs.conductor.is#website\"},\"breadcrumb\":{\"@id\":\"https://docs.conductor.is/api-ref/qbd/bill-check-payments/list#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.conductor.is/api-ref/qbd/bill-check-payments/list#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Transactions\",\"item\":\"https://docs.conductor.is/api-ref/qbd/transactions/object\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Bill Check Payments\",\"item\":\"https://docs.conductor.is/api-ref/qbd/bill-check-payments/object\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"List all bill check payments\",\"item\":\"https://docs.conductor.is/api-ref/qbd/bill-check-payments/list\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.conductor.is/api-ref/qbd/bill-check-payments/list#apireference\",\"headline\":\"List all bill check payments\",\"name\":\"List all bill check payments\",\"description\":\"Returns a list of bill check payments. Use the cursor parameter to paginate through the results.\",\"url\":\"https://docs.conductor.is/api-ref/qbd/bill-check-payments/list\",\"mainEntityOfPage\":{\"@id\":\"https://docs.conductor.is/api-ref/qbd/bill-check-payments/list#webpage\"},\"dateModified\":\"2026-01-27T20:40:22.423Z\",\"publisher\":{\"@id\":\"https://docs.conductor.is/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.conductor.is#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Conductor Docs\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Conductor Docs\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-ref/qbd/bill-check-payments/list.md","siteName":"Conductor Docs","nav":{"global":null,"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/quickstart"}]},{"tab":"API Reference","groups":[{"group":"QuickBooks Desktop API","pages":[{"title":"Welcome to Conductor's QuickBooks Desktop API","href":"/api-ref/welcome"},{"title":"SDKs","icon":"code","href":"/api-ref/sdks"},{"title":"Upgrading to Conductor's new Node.js SDK","icon":"up","href":"/api-ref/upgrade-node"},{"title":"Authentication","icon":"lock","href":"/api-ref/authentication"},{"title":"Pagination","icon":"files","href":"/api-ref/pagination"},{"title":"Request IDs","icon":"hashtag","href":"/api-ref/request-ids"},{"title":"Timeouts","icon":"clock","href":"/api-ref/timeouts"},{"title":"The Error object","icon":"triangle-exclamation","href":"/api-ref/errors"},{"title":"OpenAPI","icon":"file-code","href":"/api-ref/openapi"},{"title":"MCP","icon":"robot","href":"/api-ref/mcp"}]},{"group":"Core Resources","pages":[{"group":"Auth Sessions","pages":[{"title":"The Auth Session object","href":"/api-ref/auth-sessions/object"},{"openapi":"POST /auth-sessions","title":"Create an auth session","href":"/api-ref/auth-sessions/create"}]},{"group":"End Users","pages":[{"title":"The End-User object","href":"/api-ref/end-users/object"},{"openapi":"POST /end-users","title":"Create an end-user","href":"/api-ref/end-users/create"},{"openapi":"GET /end-users/{id}","title":"Retrieve an end-user","href":"/api-ref/end-users/retrieve"},{"openapi":"GET /end-users","title":"List all end-users","href":"/api-ref/end-users/list"},{"openapi":"DELETE /end-users/{id}","title":"Delete an end-user","href":"/api-ref/end-users/delete"}]}]},{"group":"Utilities","pages":[{"openapi":"GET /quickbooks-desktop/health-check","title":"Health check","href":"/api-ref/qbd/utilities/health-check"},{"openapi":"POST /end-users/{id}/passthrough/{integrationSlug}","title":"Passthrough","href":"/api-ref/qbd/utilities/passthrough"}]},{"group":"Transactions","pages":[{"group":"All Transactions","pages":[{"title":"The Transaction object","href":"/api-ref/qbd/transactions/object"},{"openapi":"GET /quickbooks-desktop/transactions/{id}","title":"Retrieve a transaction","href":"/api-ref/qbd/transactions/retrieve"},{"openapi":"GET /quickbooks-desktop/transactions","title":"List all transactions","href":"/api-ref/qbd/transactions/list"}]},{"group":"Bill Check Payments","pages":[{"title":"The Bill Check Payment object","href":"/api-ref/qbd/bill-check-payments/object"},{"openapi":"POST /quickbooks-desktop/bill-check-payments","title":"Create a bill check payment","href":"/api-ref/qbd/bill-check-payments/create"},{"openapi":"POST /quickbooks-desktop/bill-check-payments/{id}","title":"Update a bill check payment","href":"/api-ref/qbd/bill-check-payments/update"},{"openapi":"GET /quickbooks-desktop/bill-check-payments/{id}","title":"Retrieve a bill check payment","description":"Retrieves a bill check payment by ID.\n\n**IMPORTANT:** If you need to fetch multiple specific bill check payments by ID, use the list endpoint instead with the `ids` parameter. It accepts an array of IDs so you can batch the request into a single call, which is significantly faster.","href":"/api-ref/qbd/bill-check-payments/retrieve"},{"openapi":"GET /quickbooks-desktop/bill-check-payments","title":"List all bill check payments","href":"/api-ref/qbd/bill-check-payments/list"},{"openapi":"POST /quickbooks-desktop/bill-check-payments/{id}/void","title":"Void a bill check payment","description":"Voids a bill check payment by setting its amount to zero while keeping a record of it in QuickBooks. The void will fail if the bill check payment is currently in use or has any linked transactions that are in use.","href":"/api-ref/qbd/bill-check-payments/void"},{"openapi":"DELETE /quickbooks-desktop/bill-check-payments/{id}","title":"Delete a bill check payment","href":"/api-ref/qbd/bill-check-payments/delete"}]},{"group":"Bill Credit Card Payments","pages":[{"title":"The Bill Credit Card Payment object","href":"/api-ref/qbd/bill-credit-card-payments/object"},{"openapi":"POST /quickbooks-desktop/bill-credit-card-payments","title":"Create a bill credit card payment","href":"/api-ref/qbd/bill-credit-card-payments/create"},{"openapi":"GET /quickbooks-desktop/bill-credit-card-payments/{id}","title":"Retrieve a bill credit card payment","href":"/api-ref/qbd/bill-credit-card-payments/retrieve"},{"openapi":"GET /quickbooks-desktop/bill-credit-card-payments","title":"List all bill credit card payments","href":"/api-ref/qbd/bill-credit-card-payments/list"},{"openapi":"POST /quickbooks-desktop/bill-credit-card-payments/{id}/void","title":"Void a bill credit card payment","href":"/api-ref/qbd/bill-credit-card-payments/void"},{"openapi":"DELETE /quickbooks-desktop/bill-credit-card-payments/{id}","title":"Delete a bill credit card payment","href":"/api-ref/qbd/bill-credit-card-payments/delete"}]},{"group":"Bills","pages":[{"title":"The Bill object","href":"/api-ref/qbd/bills/object"},{"openapi":"POST /quickbooks-desktop/bills","title":"Create a bill","href":"/api-ref/qbd/bills/create"},{"openapi":"POST /quickbooks-desktop/bills/{id}","title":"Update a bill","href":"/api-ref/qbd/bills/update"},{"openapi":"GET /quickbooks-desktop/bills/{id}","title":"Retrieve a bill","href":"/api-ref/qbd/bills/retrieve"},{"openapi":"GET /quickbooks-desktop/bills","title":"List all bills","href":"/api-ref/qbd/bills/list"},{"openapi":"POST /quickbooks-desktop/bills/{id}/void","title":"Void a bill","href":"/api-ref/qbd/bills/void"},{"openapi":"DELETE /quickbooks-desktop/bills/{id}","title":"Delete a bill","href":"/api-ref/qbd/bills/delete"}]},{"group":"Bills to Pay","pages":[{"title":"The Bill To Pay object","href":"/api-ref/qbd/bills-to-pay/object"},{"openapi":"GET /quickbooks-desktop/bills-to-pay","title":"List bills and credits available to pay for a vendor","href":"/api-ref/qbd/bills-to-pay/list"}]},{"group":"Build Assemblies","pages":[{"title":"The Build Assembly object","href":"/api-ref/qbd/build-assemblies/object"},{"openapi":"POST /quickbooks-desktop/build-assemblies","title":"Create a build assembly","href":"/api-ref/qbd/build-assemblies/create"},{"openapi":"POST /quickbooks-desktop/build-assemblies/{id}","title":"Update a build assembly","href":"/api-ref/qbd/build-assemblies/update"},{"openapi":"GET /quickbooks-desktop/build-assemblies/{id}","title":"Retrieve a build assembly","href":"/api-ref/qbd/build-assemblies/retrieve"},{"openapi":"GET /quickbooks-desktop/build-assemblies","title":"List all build assemblies","href":"/api-ref/qbd/build-assemblies/list"},{"openapi":"DELETE /quickbooks-desktop/build-assemblies/{id}","title":"Delete a build assembly","href":"/api-ref/qbd/build-assemblies/delete"}]},{"group":"Checks","pages":[{"title":"The Check object","href":"/api-ref/qbd/checks/object"},{"openapi":"POST /quickbooks-desktop/checks","title":"Create a check","href":"/api-ref/qbd/checks/create"},{"openapi":"POST /quickbooks-desktop/checks/{id}","title":"Update a check","href":"/api-ref/qbd/checks/update"},{"openapi":"GET /quickbooks-desktop/checks/{id}","title":"Retrieve a check","href":"/api-ref/qbd/checks/retrieve"},{"openapi":"GET /quickbooks-desktop/checks","title":"List all checks","href":"/api-ref/qbd/checks/list"},{"openapi":"POST /quickbooks-desktop/checks/{id}/void","title":"Void a check","href":"/api-ref/qbd/checks/void"},{"openapi":"DELETE /quickbooks-desktop/checks/{id}","title":"Delete a check","href":"/api-ref/qbd/checks/delete"}]},{"group":"Credit Card Charges","pages":[{"title":"The Credit Card Charge object","href":"/api-ref/qbd/credit-card-charges/object"},{"openapi":"POST /quickbooks-desktop/credit-card-charges","title":"Create a credit card charge","href":"/api-ref/qbd/credit-card-charges/create"},{"openapi":"POST /quickbooks-
[...]
